Package org.zkoss.util

## Class CollectionsX.ArrayListIterator<E>

- java.lang.Object
- - org.zkoss.util.CollectionsX.ArrayIterator<E>
  - - org.zkoss.util.CollectionsX.ArrayListIterator<E>

- All Implemented Interfaces:
    `java.util.Iterator<E>`, `java.util.ListIterator<E>`
  Enclosing class:
    CollectionsX

      public static class CollectionsX.ArrayListIterator<E>
      extends CollectionsX.ArrayIterator<E>
      implements java.util.ListIterator<E>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayListIterator​(E[] ary, int index)` |
    `ArrayListIterator​(java.lang.Object[] ary)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(E o)` |
    `boolean` | `hasPrevious()` |
    `int` | `nextIndex()` |
    `E` | `previous()` |
    `int` | `previousIndex()` |
    `void` | `set​(E o)` |

    - ### Methods inherited from class org.zkoss.util.CollectionsX.ArrayIterator

      `hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface java.util.ListIterator

      `hasNext, next, remove`

- - ### Constructor Detail

    - #### ArrayListIterator

          public ArrayListIterator​(java.lang.Object[] ary)

      Parameters:
        `ary` - an array or null.

    - #### ArrayListIterator

          public ArrayListIterator​(E[] ary,
                                   int index)

      Parameters:
        `ary` - an array or null.

  - ### Method Detail

    - #### hasPrevious

          public final boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `java.util.ListIterator<E>`

    - #### previous

          public final E previous()

      Specified by:
        `previous` in interface `java.util.ListIterator<E>`

    - #### nextIndex

          public final int nextIndex()

      Specified by:
        `nextIndex` in interface `java.util.ListIterator<E>`

    - #### previousIndex

          public final int previousIndex()

      Specified by:
        `previousIndex` in interface `java.util.ListIterator<E>`

    - #### set

          public final void set​(E o)

      Specified by:
        `set` in interface `java.util.ListIterator<E>`

    - #### add

          public final void add​(E o)

      Specified by:
        `add` in interface `java.util.ListIterator<E>`